# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2018-01-02 17:14
from __future__ import unicode_literals

from django.db import migrations, models
import thelabdb.fields


class Migration(migrations.Migration):
    dependencies = [
        ("cybersource", "0003_auto_20160629_1135"),
    ]

    operations = [
        migrations.CreateModel(
            name="SecureAcceptanceProfile",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "hostname",
                    models.CharField(
                        help_text="When the request matches this hostname, this profile will be used.",
                        max_length=100,
                        unique=True,
                        verbose_name="Hostname",
                    ),
                ),
                (
                    "profile_id",
                    models.CharField(
                        max_length=50, unique=True, verbose_name="Profile ID"
                    ),
                ),
                (
                    "access_key",
                    models.CharField(max_length=50, verbose_name="Access Key"),
                ),
                (
                    "secret_key",
                    thelabdb.fields.EncryptedTextField(verbose_name="Secret Key"),
                ),
                (
                    "is_default",
                    models.BooleanField(
                        default=False,
                        help_text="If no profile can be found for a request's hostname, the default profile will be used.",
                        verbose_name="Is Default Profile?",
                    ),
                ),
            ],
        ),
        migrations.AlterModelOptions(
            name="cybersourcereply",
            options={"ordering": ("date_created",)},
        ),
    ]
